import { HTMLAnchorElementAttrs, HTMLElementAttrs, HTMLAreaElementAttrs, HTMLAudioElementAttrs, HTMLBaseElementAttrs, HTMLBodyElementAttrs, HTMLBRElementAttrs, HTMLButtonElementAttrs, HTMLCanvasElementAttrs, HTMLQuoteElementAttrs, HTMLTableCaptionElementAttrs, HTMLTableColElementAttrs, HTMLModElementAttrs, HTMLDivElementAttrs, HTMLDListElementAttrs, HTMLFieldSetElementAttrs, HTMLFormElementAttrs, HTMLHeadElementAttrs, HTMLHeadingElementAttrs, HTMLHRElementAttrs, HTMLHtmlElementAttrs, HTMLIFrameElementAttrs, HTMLImageElementAttrs, HTMLInputElementAttrs, HTMLLabelElementAttrs, HTMLLegendElementAttrs, HTMLLIElementAttrs, HTMLLinkElementAttrs, HTMLMapElementAttrs, HTMLMenuElementAttrs, HTMLMetaElementAttrs, HTMLMeterElementAttrs, HTMLOListElementAttrs, HTMLOptGroupElementAttrs, HTMLOptionElementAttrs, HTMLParagraphElementAttrs, HTMLPictureElementAttrs, HTMLPreElementAttrs, HTMLProgressElementAttrs, HTMLScriptElementAttrs, HTMLSelectElementAttrs, HTMLSourceElementAttrs, HTMLSpanElementAttrs, HTMLStyleElementAttrs, HTMLTableDataCellElementAttrs, HTMLTableElementAttrs, HTMLTableHeaderCellElementAttrs, HTMLTableRowElementAttrs, HTMLTableSectionElementAttrs, HTMLTemplateElementAttrs, HTMLTextAreaElementAttrs, HTMLTitleElementAttrs, HTMLTrackElementAttrs, HTMLUListElementAttrs, HTMLVideoElementAttrs, AttributeDirective } from "ivi";
/**
 * VALUE function creates a {@link AttributeDirective} that assigns a `value` property to an HTMLInputElement.
 *
 * @example
 *
 *   const e = input("", { value: VALUE("value") });
 *
 * @param v Value.
 * @returns {@link AttributeDirective}
 */
export declare const VALUE: (v: string) => AttributeDirective<string>;
/**
 * CONTENT function creates a {@link AttributeDirective} that assigns a `value` property to an HTMLTextAreaElement.
 *
 * @example
 *
 *   const e = textarea("", { content: CONTENT("content") });
 *
 * @param v Value.
 * @returns {@link AttributeDirective}
 */
export declare const CONTENT: (v: string) => AttributeDirective<string>;
/**
 * CHECKED function creates a {@link AttributeDirective} that assigns a `checked` property to an HTMLInputElement.
 *
 * @example
 *
 *   const e = input("", { checked: CHECKED(true) });
 *
 * @param v Checked value.
 * @returns {@link AttributeDirective}
 */
export declare const CHECKED: (v: boolean) => AttributeDirective<boolean>;
/**
 * Creates OpNode HTML element <a>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <a>
 */
export declare const a: (className?: string | undefined, attrs?: HTMLAnchorElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLAnchorElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <abbr>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/abbr}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <abbr>
 */
export declare const abbr: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <address>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/address}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <address>
 */
export declare const address: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <article>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/article}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <article>
 */
export declare const article: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <aside>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/aside}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <aside>
 */
export declare const aside: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <b>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/b}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <b>
 */
export declare const b: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <base>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <base>
 */
export declare const base: (className?: string | undefined, attrs?: HTMLBaseElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLBaseElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <bdo>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/bdo}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <bdo>
 */
export declare const bdo: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <blockquote>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/blockquote}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <blockquote>
 */
export declare const blockquote: (className?: string | undefined, attrs?: HTMLQuoteElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLQuoteElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <body>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/body}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <body>
 */
export declare const body: (className?: string | undefined, attrs?: HTMLBodyElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLBodyElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <br>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/br}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <br>
 */
export declare const br: (className?: string | undefined, attrs?: HTMLBRElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLBRElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <button>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/button}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <button>
 */
export declare const button: (className?: string | undefined, attrs?: HTMLButtonElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLButtonElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <canvas>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/canvas}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <canvas>
 */
export declare const canvas: (className?: string | undefined, attrs?: HTMLCanvasElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLCanvasElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <caption>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/caption}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <caption>
 */
export declare const caption: (className?: string | undefined, attrs?: HTMLTableCaptionElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableCaptionElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <cite>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/cite}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <cite>
 */
export declare const cite: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <code>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/code}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <code>
 */
export declare const code: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <col>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/col}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <col>
 */
export declare const col: (className?: string | undefined, attrs?: HTMLTableColElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableColElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <colgroup>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/colgroup}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <colgroup>
 */
export declare const colgroup: (className?: string | undefined, attrs?: HTMLTableColElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableColElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <del>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/del}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <del>
 */
export declare const del: (className?: string | undefined, attrs?: HTMLModElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLModElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <dfn>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/dfn}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <dfn>
 */
export declare const dfn: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <div>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/div}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <div>
 */
export declare const div: (className?: string | undefined, attrs?: HTMLDivElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLDivElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <dd>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/dd}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <dd>
 */
export declare const dd: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <dl>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/dl}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <dl>
 */
export declare const dl: (className?: string | undefined, attrs?: HTMLDListElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLDListElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <dt>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/dt}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <dt>
 */
export declare const dt: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <em>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/em}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <em>
 */
export declare const em: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <fieldset>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/fieldset}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <fieldset>
 */
export declare const fieldset: (className?: string | undefined, attrs?: HTMLFieldSetElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLFieldSetElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <figcaption>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/figcaption}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <figcaption>
 */
export declare const figcaption: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <figure>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/figure}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <figure>
 */
export declare const figure: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <footer>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/footer}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <footer>
 */
export declare const footer: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <form>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/form}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <form>
 */
export declare const form: (className?: string | undefined, attrs?: HTMLFormElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLFormElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h1>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h1}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h1>
 */
export declare const h1: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h2>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h2}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h2>
 */
export declare const h2: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h3>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h3}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h3>
 */
export declare const h3: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h4>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h4}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h4>
 */
export declare const h4: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h5>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h5}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h5>
 */
export declare const h5: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <h6>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/h6}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <h6>
 */
export declare const h6: (className?: string | undefined, attrs?: HTMLHeadingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadingElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <head>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/head}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <head>
 */
export declare const head: (className?: string | undefined, attrs?: HTMLHeadElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHeadElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <header>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/header}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <header>
 */
export declare const header: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <hgroup>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/hgroup}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <hgroup>
 */
export declare const hgroup: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <hr>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/hr}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <hr>
 */
export declare const hr: (className?: string | undefined, attrs?: HTMLHRElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHRElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <html>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/html}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <html>
 */
export declare const html: (className?: string | undefined, attrs?: HTMLHtmlElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLHtmlElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <i>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/i}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <i>
 */
export declare const i: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <iframe>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <iframe>
 */
export declare const iframe: (className?: string | undefined, attrs?: HTMLIFrameElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLIFrameElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <img>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/img}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <img>
 */
export declare const img: (className?: string | undefined, attrs?: HTMLImageElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLImageElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <area>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/area}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <area>
 */
export declare const area: (className?: string | undefined, attrs?: HTMLAreaElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLAreaElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <map>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/map}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <map>
 */
export declare const map: (className?: string | undefined, attrs?: HTMLMapElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLMapElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <ins>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/ins}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <ins>
 */
export declare const ins: (className?: string | undefined, attrs?: HTMLModElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLModElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <kbd>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/kbd}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <kbd>
 */
export declare const kbd: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <label>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/label}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <label>
 */
export declare const label: (className?: string | undefined, attrs?: HTMLLabelElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLLabelElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <legend>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/legend}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <legend>
 */
export declare const legend: (className?: string | undefined, attrs?: HTMLLegendElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLLegendElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <li>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/li}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <li>
 */
export declare const li: (className?: string | undefined, attrs?: HTMLLIElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLLIElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <link>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/link}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <link>
 */
export declare const link: (className?: string | undefined, attrs?: HTMLLinkElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLLinkElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <main>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/main}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <main>
 */
export declare const main: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <mark>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/mark}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <mark>
 */
export declare const mark: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <menu>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/menu}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <menu>
 */
export declare const menu: (className?: string | undefined, attrs?: HTMLMenuElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLMenuElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <meta>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meta}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <meta>
 */
export declare const meta: (className?: string | undefined, attrs?: HTMLMetaElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLMetaElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <meter>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meter}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <meter>
 */
export declare const meter: (className?: string | undefined, attrs?: HTMLMeterElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLMeterElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <nav>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/nav}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <nav>
 */
export declare const nav: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <noscript>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/noscript}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <noscript>
 */
export declare const noscript: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <ol>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/ol}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <ol>
 */
export declare const ol: (className?: string | undefined, attrs?: HTMLOListElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLOListElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <optgroup>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/optgroup}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <optgroup>
 */
export declare const optgroup: (className?: string | undefined, attrs?: HTMLOptGroupElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLOptGroupElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <option>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/option}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <option>
 */
export declare const option: (className?: string | undefined, attrs?: HTMLOptionElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLOptionElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <p>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/p}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <p>
 */
export declare const p: (className?: string | undefined, attrs?: HTMLParagraphElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLParagraphElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <picture>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/picture}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <picture>
 */
export declare const picture: (className?: string | undefined, attrs?: HTMLPictureElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLPictureElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <pre>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/pre}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <pre>
 */
export declare const pre: (className?: string | undefined, attrs?: HTMLPreElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLPreElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <progress>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/progress}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <progress>
 */
export declare const progress: (className?: string | undefined, attrs?: HTMLProgressElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLProgressElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <q>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/q}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <q>
 */
export declare const q: (className?: string | undefined, attrs?: HTMLQuoteElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLQuoteElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <rt>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/rt}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <rt>
 */
export declare const rt: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <ruby>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/ruby}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <ruby>
 */
export declare const ruby: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <s>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/s}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <s>
 */
export declare const s: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <samp>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/samp}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <samp>
 */
export declare const samp: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <script>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <script>
 */
export declare const script: (className?: string | undefined, attrs?: HTMLScriptElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLScriptElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <section>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/section}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <section>
 */
export declare const section: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <select>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/select}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <select>
 */
export declare const select: (className?: string | undefined, attrs?: HTMLSelectElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLSelectElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <source>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/source}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <source>
 */
export declare const source: (className?: string | undefined, attrs?: HTMLSourceElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLSourceElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <span>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/span}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <span>
 */
export declare const span: (className?: string | undefined, attrs?: HTMLSpanElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLSpanElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <strong>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/strong}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <strong>
 */
export declare const strong: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <style>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/style}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <style>
 */
export declare const style: (className?: string | undefined, attrs?: HTMLStyleElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLStyleElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <sub>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/sub}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <sub>
 */
export declare const sub: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <sup>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/sup}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <sup>
 */
export declare const sup: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <table>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/table}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <table>
 */
export declare const table: (className?: string | undefined, attrs?: HTMLTableElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <tbody>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/tbody}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <tbody>
 */
export declare const tbody: (className?: string | undefined, attrs?: HTMLTableSectionElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableSectionElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <td>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/td}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <td>
 */
export declare const td: (className?: string | undefined, attrs?: HTMLTableDataCellElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableDataCellElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <template>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/template}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <template>
 */
export declare const template: (className?: string | undefined, attrs?: HTMLTemplateElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTemplateElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <tfoot>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/tfoot}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <tfoot>
 */
export declare const tfoot: (className?: string | undefined, attrs?: HTMLTableSectionElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableSectionElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <th>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/th}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <th>
 */
export declare const th: (className?: string | undefined, attrs?: HTMLTableHeaderCellElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableHeaderCellElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <thead>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/thead}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <thead>
 */
export declare const thead: (className?: string | undefined, attrs?: HTMLTableSectionElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableSectionElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <time>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/time}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <time>
 */
export declare const time: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <title>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/title}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <title>
 */
export declare const title: (className?: string | undefined, attrs?: HTMLTitleElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTitleElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <tr>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/tr}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <tr>
 */
export declare const tr: (className?: string | undefined, attrs?: HTMLTableRowElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTableRowElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <track>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/track}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <track>
 */
export declare const track: (className?: string | undefined, attrs?: HTMLTrackElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTrackElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <u>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/u}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <u>
 */
export declare const u: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <ul>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/ul}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <ul>
 */
export declare const ul: (className?: string | undefined, attrs?: HTMLUListElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLUListElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <wbr>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/wbr}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <wbr>
 */
export declare const wbr: (className?: string | undefined, attrs?: HTMLElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <textarea>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/textarea}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <textarea>
 */
export declare const textarea: (className?: string | undefined, attrs?: HTMLTextAreaElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLTextAreaElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <input>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <input>
 */
export declare const input: (className?: string | undefined, attrs?: HTMLInputElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLInputElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <audio>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/audio}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <audio>
 */
export declare const audio: (className?: string | undefined, attrs?: HTMLAudioElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLAudioElementAttrs | undefined>;
/**
 * Creates OpNode HTML element <video>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/video}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode HTML element <video>
 */
export declare const video: (className?: string | undefined, attrs?: HTMLVideoElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<HTMLVideoElementAttrs | undefined>;
